/*
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.inteligr8.maven.model;

import org.apache.maven.artifact.versioning.VersionRange;

public class ArtifactFilter {
    
    private String groupId;
    
    private String groupIdRegex;
    
    private String artifactId;
    
    private String artifactIdRegex;
    
    private VersionRange versionRange;
    
    public String getGroupId() {
        return groupId;
    }
    
    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }
    
    public String getGroupIdRegex() {
        return groupIdRegex;
    }
    
    public void setGroupIdRegex(String groupIdRegex) {
        this.groupIdRegex = groupIdRegex;
    }
    
    public String getArtifactId() {
        return artifactId;
    }
    
    public void setArtifactId(String artifactId) {
        this.artifactId = artifactId;
    }
    
    public String getArtifactIdRegex() {
        return artifactIdRegex;
    }
    
    public void setArtifactIdRegex(String artifactIdRegex) {
        this.artifactIdRegex = artifactIdRegex;
    }
    
    public VersionRange getVersionRange() {
        return versionRange;
    }
    
    public void setVersionRange(VersionRange versionRange) {
        this.versionRange = versionRange;
    }
    
    @Override
    public String toString() {
        StringBuilder afilter = new StringBuilder();
        
        if (this.groupId != null) {
            afilter.append(this.groupId);
        } else if (this.groupIdRegex != null) {
            afilter.append(this.groupIdRegex);
        } else {
            afilter.append('*');
        }
        afilter.append(':');

        if (this.artifactId != null) {
            afilter.append(this.artifactId);
        } else if (this.artifactIdRegex != null) {
            afilter.append(this.artifactIdRegex);
        } else {
            afilter.append('*');
        }
        afilter.append(':');
        
        if (this.versionRange != null) {
            afilter.append(this.versionRange.toString());
        } else {
            afilter.append('*');
        }
        
        return afilter.toString();
    }

}
